(* Mathematica Test File *)


(*	TODO: here, like at other places, no strict enforcement of types
*)
Test[
	Commutator[Operator[P], 0],
	0,
	TestID->"Commutator-20160702-R2A2T1"
]

Test[
	Commutator[0, Operator[P]],
	0,
	TestID->"Commutator-20160702-W1I0W1"
]

Test[
	Commutator[Operator[P], Operator[0]],
	0,
	TestID->"Commutator-20160702-E4Z3F4"
]

Test[
	Commutator[Operator[0], Operator[P]],
	0,
	TestID->"Commutator-20160702-Z5S4F7"
]

Test[
	Commutator[Operator[P], Operator[1]],
	0,
	TestID->"Commutator-20160702-O5Y2R5"
]

Test[
	Commutator[Operator[1], Operator[P]],
	0,
	TestID->"Commutator-20160702-X2M7F4"
]

Test[
	Commutator[Operator[P], Operator[P]],
	0,
	TestID->"Commutator-20160702-X0S3Q1"
]

Test[
	Commutator[Operator[P], c Operator[Q]],
	c Commutator[Operator[P], Operator[Q]],
	TestID->"Commutator-20160702-N9U5G8"
]

Test[
	Commutator[c Operator[P], Operator[Q]],
	c Commutator[Operator[P], Operator[Q]],
	TestID->"Commutator-20160702-T1O6K6"
]

Test[
	Commutator[Operator[P], Operator[Q] + Operator[R]],
	Commutator[Operator[P], Operator[Q]] + Commutator[Operator[P], Operator[R]],
	TestID->"Commutator-20160702-A4F4T7"
]

Test[
	Commutator[Operator[P] + Operator[Q], Operator[R]],
	Commutator[Operator[P], Operator[R]] + Commutator[Operator[Q], Operator[R]],
	TestID->"Commutator-20160702-S2L6K9"
]

Test[
	Commutator[Operator[P], Operator[Q] ** Operator[R]],
	Operator[Q] ** Commutator[Operator[P], Operator[R]] + Commutator[Operator[P], Operator[Q]] ** Operator[R],
	TestID->"Commutator-20160702-Y5C9L7"
]

Test[
	Commutator[Operator[P] ** Operator[Q], Operator[R]],
	Operator[P] **Commutator[Operator[Q], Operator[R]] + Commutator[Operator[P], Operator[R]] ** Operator[Q],
	TestID->"Commutator-20160702-Y1S5N2"
]

Test[
	Hermitian[Commutator[Operator[P], Operator[Q]]],
	Commutator[Hermitian[Operator[Q]], Hermitian[Operator[P]]],
	TestID->"Commutator-20160702-Z9O0E2"
]

Test[
	Commutator[Operator[P], Exp[I Pi Operator[P]]],
	0,
	TestID->"Commutator-20160702-D5B8I7"
]

Test[
	Commutator[Sin[I Pi Operator[P]], Operator[P]],
	0,
	TestID->"Commutator-20160702-O9X8B0"
]

